Regarding Future RPG Maker MV macOS Support
RPGMakerWeb
by
RPGMakerWeb
on
August 31, 2021
August 18, 2021

Regarding Future RPG Maker MV macOS Support

Regarding Future RPG Maker MV macOS Support
by

RPGMakerWeb

on

August 31, 2021

An update in regards to RPG Maker MV macOS Support.

To our RPG Maker Users,

Due to Apple deprecating OpenGL support and other additional changes such as removing support for 32-bit software, RPG Maker MV has had many compatibility issues with the latest macOS updates.

As we are sure you are aware, these are not small changes. We’ve done a lot of investigation into what we can do to make RPG Maker MV compatible with the latest versions of macOS and had a lot of deliberations on the subject.

Unfortunately, the amount of work it would take to update MV to be compatible with the latest versions of macOS would not only be incredibly time consuming, but also potentially break large portions of the fan-made plugins around the web that are unlikely to be updated anymore as most active plugin developers have moved forward to MZ.

In the end, we’ve decided that breaking compatibility with those plugins would be a much bigger problem for the majority of our fans and that the time that could be spent updating MV would be better used to continue improving the latest version of RPG Maker, RPG Maker MZ.

RPG Maker MV is still compatible with macOS 10.10-10.15 but will not be compatible with macOS Big Sur 11.0 or later.  Please refer to the product specification page (https://tkool.jp/mv/spec/index.html) for detailed information on a supported OS.

Thank you for your understanding.

Recommended Posts

footer-map